Package org.kapott.hbci.GV_Result

# Class GVRVoP.VoPResultItem

java.lang.Object
org.kapott.hbci.GV_Result.GVRVoP.VoPResultItem

Enclosing class:
  `GVRVoP`

public static class GVRVoP.VoPResultItem extends Object
Prüfergebnis einer einzelnen VOP-Prüfung.

## Constructor Summary

Constructors
Constructor
Description
`VoPResultItem()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getAmount()`
Liefert den Betrag.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getName()`
Liefert den korrigierten Namen, falls vorhanden.
`String`
`getOriginal()`
Liefert den im Auftrag angegebenen Namen.
`GVRVoP.VoPStatus`
`getStatus()`
Liefert den Status.
`String`
`getText()`
Ein optionaler erläuternder Hinweis-Text - u.a.
`String`
`getUsage()`
Liefert den Verwendungszweck.
`void`
`setAmount(BigDecimal amount)`
Speichert den Betrag.
`void`
`setIban(String iban)`
Speichert die IBAN.
`void`
`setName(String name)`
Speichert den korrigierten Namen.
`void`
`setOriginal(String original)`
Speichert den im Auftrag angegebenen Namen.
`void`
`setStatus(GVRVoP.VoPStatus status)`
Speichert den Status.
`void`
`setText(String text)`
Ein optionaler erläuternder Hinweis-Text.
`void`
`setUsage(String usage)`
Speichert den Verwendungszweck.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VoPResultItem

public VoPResultItem()

## Method Details

### getStatus

public GVRVoP.VoPStatus getStatus()
Liefert den Status.

Returns:
  der Status.

### setStatus

public void setStatus(GVRVoP.VoPStatus status)
Speichert den Status.

Parameters:
  `status` - der Status.

### getOriginal

public String getOriginal()
Liefert den im Auftrag angegebenen Namen.

Returns:
  der im Auftrag angegebene Name.

### setOriginal

public void setOriginal(String original)
Speichert den im Auftrag angegebenen Namen.

Parameters:
  `original` - der im Auftrag angegebene Name.

### getName

public String getName()
Liefert den korrigierten Namen, falls vorhanden.

Returns:
  der korrigierte Name, falls vorhanden.

### setName

public void setName(String name)
Speichert den korrigierten Namen.

Parameters:
  `name` - der korrigierte Name.

### getIban

public String getIban()
Liefert die IBAN.

Returns:
  die IBAN.

### setIban

public void setIban(String iban)
Speichert die IBAN.

Parameters:
  `iban` - die IBAN.

### getText

public String getText()
Ein optionaler erläuternder Hinweis-Text - u.a. nötig bei Status "Not applicable".

Returns:
  der Hinweis-Text.

### setText

public void setText(String text)
Ein optionaler erläuternder Hinweis-Text.

Parameters:
  `text` - der Hinweis-Text.

### getAmount

public BigDecimal getAmount()
Liefert den Betrag.

Returns:
  der Betrag.

### setAmount

public void setAmount(BigDecimal amount)
Speichert den Betrag.

Parameters:
  `amount` - der Betrag.

### getUsage

public String getUsage()
Liefert den Verwendungszweck.

Returns:
  der Verwendungszweck.

### setUsage

public void setUsage(String usage)
Speichert den Verwendungszweck.

Parameters:
  `usage` - der Verwendungszweck.